tvecscale(1)

NAME
tvecscal - Scale tvecs by a num / den; num: scalar, den: scalar or tvec

SYNOPSIS
tvecscale [-i infile] [-o outfile] [-b denV] [-B denS] [-m num]
          [-R # nam1 ... namN] [-C # nam1 ... namN]

DESCRIPTION
tvecscale scales tvectors by a fraction. The numerator of the fraction is the same for all vector elements, and is provided by -m. The denominator can be provided using -B, which will result in all elements of the specified vectors being scaled by the ratio of the -m and -B arguments. However, if the -b flag is thrown instead, the denominator of the scaling factor comes from the provided tvec. This allows us to compute speedup (-m 1.0) or percentage performance (-m 100.0) of two different tvecs.

OPTIONS

-i infile
    Take input from infile, rather than stdin.

-o outfile
    Write tvecs to outfile, rather than stdout.

-m mul
    Numerator of scaling factor. Set to 100.0 for percentages, and 1.0 for speedup.

-B denom
    Denominator of scaling factor: elements of the -C tvecs are scaled by (mul / float). This flag overrides -b.

-b denV
    The elements of denV form the denominator for the corresponding elements of the vectors being scaled. This flag overrides -B.

-R # nam1 ... namN
    vectors to scale.

-C # nam1 ... namN
    vectors to keep unchanged.

EXAMPLE
tvecscale -i comb.tvec -m 100.0 -b MFLOP_mm -C 1 N -R 2 MFLOP_lu MFLOP_qr

BUGS
http://math-atlas.sourceforge.net/faq.html#help

SEE ALSO
atltvecs(7) tvecget(1) tvecunify() tveccat(1) tvecselect(1) tvecratio(1) tvecjoin(1) tvecscale(1) tvecreduce(1) tvecrename(1) tvecprint(1)

AUTHOR
R. Clint Whaley